List Marketplace Item Features (POST)
Lists marketplace item features.
Lists marketplace item features.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
To start listing marketplace item features cursor field should not be provided. Set cursor to value returned by the previous call to list marketplace item features in the next page.
textFilters on feature type for marketplace item features.
Filters on import capabilities for marketplace item import features.
Limit for how many marketplace item features to be retrieved per page. Default is 50.
int32Marketplace ID where to list marketplace item features.
idThe iteration mode to use. If "after", then entries after the provided cursor will be returned, or if no cursor is provided, then from the beginning. If "before", then entries before the provided cursor will be returned, or if no cursor is provided, then from the end. Entries will always be returned in the specified sort-by order.
"after" | "before"Filters on operation type for marketplace item operation features.
Filters on server type for marketplace item MCP server features.
List of fields to sort the marketplace item feature objects, by and how to sort them. Default is to sort by created_date in descending order.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/marketplace-item-features.list" \ -H "Content-Type: application/json" \ -d '{}'{
"marketplace_item_features": [
{
"type": "marketplace_item_import_feature",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"description": "string",
"feature_type": "import",
"marketplace_item": {
"display_id": "string",
"id": "string",
"item_type": "app",
"meta_score": 0,
"name": "string",
"slug": "string",
"tagline": "string"
},
"name": "string",
"capabilities": [
"string"
]
}
],
"next_cursor": "string",
"prev_cursor": "string"
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Replace Links POST
Replaces an existing link with a new one. This is useful when an object must always remain linked to a parent — for example, re-parenting an enhancement under a different capability or product part — because it avoids the intermediate unlinked (orphan) state that would otherwise occur if you deleted the old link and created a new one as two separate steps. The existing link identified by `id` is removed and a new link is created from `source` to `target`. Optionally, a different `link_type` or `custom_link_type` can be specified for the new link. For links between parts using a default (non-custom) link type, the replacement is performed atomically. For all other cases (custom link types or non-part endpoints), the replacement is performed as a non-atomic delete followed by a create; in these cases, the new link must have the same link type (or the same `custom_link_type` DON) as the existing link, and must share at least one of the source or target with the existing link, otherwise the request is rejected.
List Marketplace Item Features GET
Lists marketplace item features.